Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAOC.h File Reference

`#include "PolicyC.h"`
`#include "TimeBaseC.h"`
`#include "Messaging_SyncScopeC.h"`

Include dependency graph for TAOC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO

## Defines

#define | TAO_EXPORT_MACRO TAO_Export
#define | _TAO_BUFFERINGCONSTRAINTPOLICY__VAR_OUT_CH_
#define | _TAO_BUFFERINGCONSTRAINTPOLICY_CH_
#define | _TAO_BUFFERINGCONSTRAINTPOLICY__TRAITS_CH_

## Functions

TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO::BufferingConstraint &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO::BufferingConstraint &)

## Define Documentation

#define _TAO_BUFFERINGCONSTRAINTPOLICY__TRAITS_CH_

#define _TAO_BUFFERINGCONSTRAINTPOLICY__VAR_OUT_CH_

#define _TAO_BUFFERINGCONSTRAINTPOLICY_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const TAO::BufferingConstraint & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO::BufferingConstraint & |
| ) |